#!/bin/sh

if [ -d /usr/share/gtkdialog ]; then
	echo "You already have gtkdialog installed in /usr/share/gtkdialog !"
	echo "Either rename/delete the /usr/share/gtkdialog directory or"
	echo "do a manual install. Look at the README."
  	echo "Exiting..."
	exit
fi

# Creating a directory to install the needed files...
# This is the only place you can install the files
# unless you modify and recompile the source code 
# (gtkdialog.c) to place them somewhere else.
mkdir -p /usr/share/gtkdialog/xpm

# Copying the needed files...
cp grc /usr/share/gtkdialog
cp xpm/* /usr/share/gtkdialog/xpm

echo "The gtkDialog files (pixmaps and grc) are installed in /usr/share/gtkdialog"

# Copying the gtkdialog binary to /usr/bin
if [ -e /usr/bin/gtkdialog ]; then
	echo "A file named gtkdialog already exist in /usr/bin"
	echo -n "Overwrite it? (y/n) : "
	read answer
	if [ "$answer" = "y" ]; then
		cp -f gtkdialog /usr/bin/
		echo "The gtkdialog binary is installed in /usr/bin."
	elif [ "$answer" = "n" ]; then
		echo "Installation of gtkdialog binary aborted."
	else
		echo "You didn't give an answer!"
	fi

else
	cp gtkdialog /usr/bin/
	echo "The gtkdialog binary is installed in /usr/bin."

fi

echo "Exiting..."
exit
